<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>S-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="S-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_S_">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="strong"><a href="../model/GameRule.html#save(java.lang.String)">save(String)</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Save the game with the specify name.</div>
</dd>
<dt><a href="../model/ServeurBlokus.html" title="class in model"><span class="strong">ServeurBlokus</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">This class start the main socket and launch the serverPlayer with the players.</div>
</dd>
<dt><span class="strong"><a href="../model/ServeurBlokus.html#ServeurBlokus(model.PlayerOnline[])">ServeurBlokus(PlayerOnline[])</a></span> - Constructor for class model.<a href="../model/ServeurBlokus.html" title="class in model">ServeurBlokus</a></dt>
<dd>
<div class="block">Instantiates a new serverBlokus.</div>
</dd>
<dt><a href="../model/ServeurPlayer.html" title="class in model"><span class="strong">ServeurPlayer</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">This class is the manager of the gameRule on a online game.</div>
</dd>
<dt><span class="strong"><a href="../model/ServeurPlayer.html#ServeurPlayer(java.net.ServerSocket,%20model.PlayerOnline[])">ServeurPlayer(ServerSocket, PlayerOnline[])</a></span> - Constructor for class model.<a href="../model/ServeurPlayer.html" title="class in model">ServeurPlayer</a></dt>
<dd>
<div class="block">Instantiates a new server player and run it.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#setActualPlayer(int)">setActualPlayer(int)</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Sets the actual player.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setCanPlay(boolean)">setCanPlay(boolean)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set if the player can play.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#setCards(javax.swing.JPanel)">setCards(JPanel)</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Sets the jPanel who have the cardLayout.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setColor(java.awt.Color)">setColor(Color)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the color.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#setCouleur(javax.swing.JButton)">setCouleur(JButton)</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Set the color of the player.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#setCursor(boolean)">setCursor(boolean)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Sets if the advanced cursor is activate or no.</div>
</dd>
<dt><span class="strong"><a href="../view/ZoneInformation.html#setGame(controler.Game)">setGame(Game)</a></span> - Method in class view.<a href="../view/ZoneInformation.html" title="class in view">ZoneInformation</a></dt>
<dd>
<div class="block">Set the game.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#setGameRule(model.GameRule)">setGameRule(GameRule)</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Sets the game rule.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#setGridListener(controler.GridListener)">setGridListener(GridListener)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Sets the grid listener on all jLabel of this grid.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#setIa(javax.swing.JButton)">setIa(JButton)</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Sets the ia of the player.</div>
</dd>
<dt><span class="strong"><a href="../view/GlassPane.html#setImage(java.awt.image.BufferedImage)">setImage(BufferedImage)</a></span> - Method in class view.<a href="../view/GlassPane.html" title="class in view">GlassPane</a></dt>
<dd>
<div class="block">Sets the image of the actual piece.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#setLastPiece(view.PlayerPiece)">setLastPiece(PlayerPiece)</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Sets the last playerPiece (in view).</div>
</dd>
<dt><span class="strong"><a href="../model/GameRuleOnline.html#setLastPieceOnline(model.Piece)">setLastPieceOnline(Piece)</a></span> - Method in class model.<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dt>
<dd>
<div class="block">Sets the last piece place on the game.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#setLevel(int)">setLevel(int)</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Sets the level.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#setLevelVisible(boolean)">setLevelVisible(boolean)</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Set the level visible.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerPlayersMenu.html#setLine(view.LinePlayer)">setLine(LinePlayer)</a></span> - Method in class controler.<a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a></dt>
<dd>
<div class="block">Sets the line who represent a player.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#setLine(javax.swing.JPanel)">setLine(JPanel)</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Set the line.</div>
</dd>
<dt><span class="strong"><a href="../view/GlassPane.html#setLocation(java.awt.Point)">setLocation(Point)</a></span> - Method in class view.<a href="../view/GlassPane.html" title="class in view">GlassPane</a></dt>
<dd>
<div class="block">Set the location of the actual piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#setMap(model.Piece[][])">setMap(Piece[][])</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Sets the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setMap(boolean[][])">setMap(boolean[][])</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setName(java.lang.String)">setName(String)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the name.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#setNextPiece(model.Piece)">setNextPiece(Piece)</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Sets the next piece.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#setNextPiece(model.Piece)">setNextPiece(Piece)</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Sets the next piece.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#setNextPosition(model.Position)">setNextPosition(Position)</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Sets the next position.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#setNextPosition(model.Position)">setNextPosition(Position)</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Sets the next position.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#setNom(javax.swing.JTextField)">setNom(JTextField)</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Sets the name.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setOrigin(model.Position)">setOrigin(Position)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the origin of the players.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#setP1(view.LinePlayer)">setP1(LinePlayer)</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Sets the LinePlayer 1.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#setP2(view.LinePlayer)">setP2(LinePlayer)</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Sets the LinePlayer 2.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#setP3(view.LinePlayer)">setP3(LinePlayer)</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Sets the LinePlayer 3.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#setP4(view.LinePlayer)">setP4(LinePlayer)</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Sets the LinePlayer 4.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setPattern(model.Pattern)">setPattern(Pattern)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the pattern.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#setPiece()">setPiece()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#setPiece(model.Piece)">setPiece(Piece)</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Sets the piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#setPlayer(model.Player)">setPlayer(Player)</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Set the player of the piece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#setPlayer(model.Player)">setPlayer(Player)</a></span> - Method in class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Set the player.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#setPlayer(model.Player)">setPlayer(Player)</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Set the player.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#setRandom()">setRandom()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Sets a random order for the players and there relative origin corner of start.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#setScore()">setScore()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Set the score.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#setScore(int)">setScore(int)</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Set the score.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#setScrollPane(javax.swing.JScrollPane)">setScrollPane(JScrollPane)</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleOnlineTest.html#setUp()">setUp()</a></span> - Method in class test.<a href="../test/GameRuleOnlineTest.html" title="class in test">GameRuleOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleTest.html#setUp()">setUp()</a></span> - Method in class test.<a href="../test/GameRuleTest.html" title="class in test">GameRuleTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../view/Blokus.html#setViewGame(view.ViewGame)">setViewGame(ViewGame)</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Sets the viewGame.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#setX(int)">setX(int)</a></span> - Method in class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Set the x.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#setY(int)">setY(int)</a></span> - Method in class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Set the y.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#show(java.lang.String)">show(String)</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Show the jPanel in cards, identified by the name in parameters.</div>
</dd>
<dt><span class="strong"><a href="../controler/PieceListener.html#start()">start()</a></span> - Method in class controler.<a href="../controler/PieceListener.html" title="class in controler">PieceListener</a></dt>
<dd>
<div class="block">Start this listener.</div>
</dd>
<dt><span class="strong"><a href="../controler/PieceListener.html#stop()">stop()</a></span> - Method in class controler.<a href="../controler/PieceListener.html" title="class in controler">PieceListener</a></dt>
<dd>
<div class="block">Stop this listener.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#synchro()">synchro()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Synchronize this game (in view) with its GameRule.</div>
</dd>
<dt><span class="strong"><a href="../controler/GameOnline.html#synchro()">synchro()</a></span> - Method in class controler.<a href="../controler/GameOnline.html" title="class in controler">GameOnline</a></dt>
<dd>
<div class="block">Synchronize this game (in view) with its GameRule.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#synchro()">synchro()</a></span> - Method in class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Use the methode use on all of PlayerPiece used.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#synchro(model.Player)">synchro(Player)</a></span> - Method in class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Set the player in paramters on all of PlayerPiece and use the methode use on all of PlayerPiece used.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#synchro()">synchro()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Actualize the playerBar and playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#synchro(model.Player)">synchro(Player)</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Actualize the playerBar and playerPieces with a new player.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
